Skip to main content
GET
List preview contacts with what keeps the sequence from them

Authorizations

X-API-Key
string
header
required

Path Parameters

sequence_id
string<uuid>
required

Query Parameters

record_ids
string<uuid>[]
required

The audience contacts to ask about, by their row's record id.

Required array length: 1 - 100 elements
do_not_contact
boolean | null

true for only the contacts Do not contact keeps a step from, false for only the others; leave out for every one named.

left_out
boolean | null

true for only the contacts the audience count leaves out or Do not contact keeps a step from, false for only the others; leave out for every one named.

limit
integer
default:10

The number of items to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:position
Available options:
position
order_direction
enum<string>
default:asc
Available options:
asc,
desc
cursor
string | null

Set the cursor to the next or previous page. You can get the cursor from the previous page's response.

Response

Successful Response

data
PreviewContactOnDoNotContactSchema · object[]

The list of ResponseItems.

next_page_cursor
string | null

The cursor to the next page. If there are no more pages, this is None.

previous_page_cursor
string | null

The cursor to the previous page. If there are no previous pages, this is None.